using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using QuintoCaminoV2.Data_objects;

namespace QuintoCaminoV2.Admin
{
    public partial class UsuarioDetalle : System.Web.UI.Page
    {
        public int intUsuarioId;
        public string vchUsuario;
        protected void Page_Load(object sender, EventArgs e)
        {
            intUsuarioId = Convert.ToInt32(Request.QueryString["idUsuario"]);
            vchUsuario = Request.QueryString["vchUsuario"];
            getUsuaro(vchUsuario);

            Data_objects.Usuarios oUsu = new Data_objects.Usuarios();
            oUsu.intUsuarioId = intUsuarioId;

            if (!(Page.IsPostBack))
            {
                getCursos_NotUsu(oUsu);
                get_CursosByUser(oUsu);
            }

        }

        public void getCursos_NotUsu(Usuarios oUsu)
        {
            DataLayer oDataLayer = new DataLayer();
            ListBox1.DataSource = oDataLayer.get_Cursos_CurNotUsu(oUsu);
            ListBox1.DataTextField = "vchTitulo";
            ListBox1.DataValueField = "intCursoId";
            ListBox1.DataBind();
        }

        public void get_CursosByUser(Usuarios oUsu)
        {
            DataLayer oDataLayer = new DataLayer();
            ListBox2.DataSource = oDataLayer.get_Cursos_by_User(oUsu);
            ListBox2.DataTextField = "vchTitulo";
            ListBox2.DataValueField = "intCursoId";
            ListBox2.DataBind();
        }

        public void getUsuaro(string UsuarioId )
        {
            
            DataLayer oDataLayer = new DataLayer();
            Data_objects.Usuarios oUsuarios = new Data_objects.Usuarios();
            oUsuarios.vchUsuario = UsuarioId;


            //if (oCom.SortExpression == "Editar")
            //{
            foreach (Data_objects.Usuarios objUsu in oDataLayer.get_UsuarioByUser(oUsuarios))
            {
                //hidId0.Value = objCha.intCursoId.ToString();
                txtUsuario.Value = objUsu.vchUsuario;
                txtEmail.Value = objUsu.vchEmail;
                txtContrasena.Value = objUsu.vchContrasena;
                TxtTelefono.Value = objUsu.vchTelefono;
                txtMovil.Value = objUsu.vchMovil;
                chkUserActivo.Checked = objUsu.bitActivo == true ? true : false;
            }
        }

        protected void LinkButton1_Click(object sender, EventArgs e)
        {
            Data_objects.Usuarios oUsur = new Data_objects.Usuarios();
            oUsur.intUsuarioId = intUsuarioId;

            DataLayer oDataLayer = new DataLayer();
            Data_objects.Usuarios oUsu = new Data_objects.Usuarios();
            Data_objects.Cursos oCur = new Data_objects.Cursos();
            Errores oError = new Errores();


            oUsu.intUsuarioId = intUsuarioId;
            oCur.intCursoId = Convert.ToInt32(ListBox1.SelectedValue);
            oError = oDataLayer.insertRelCurUsu(oUsu, oCur);

            if (!(oError.bitError))
            {
                
                getCursos_NotUsu(oUsur);
                get_CursosByUser(oUsur);
            }

            // insertRelCurUsu
        }

        protected void LinkButton2_Click(object sender, EventArgs e)
        {
            Data_objects.Usuarios oUsur = new Data_objects.Usuarios();
            oUsur.intUsuarioId = intUsuarioId;

            DataLayer oDataLayer = new DataLayer();
            Data_objects.Usuarios oUsu = new Data_objects.Usuarios();
            Data_objects.Cursos oCur = new Data_objects.Cursos();
            Errores oError = new Errores();


            oUsu.intUsuarioId = intUsuarioId;
            oCur.intCursoId = Convert.ToInt32(ListBox2.SelectedValue);
            oError = oDataLayer.DeleteRelCurUsu(oUsu, oCur);

            if (!(oError.bitError))
            {
               
                getCursos_NotUsu(oUsur);
                get_CursosByUser(oUsur);
            }
        }
    }
}